package com.miaxis.question.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 题库对象 question_info
 *
 * @author miaxis
 * @date 2021-03-12
 */
@Data
@TableName("question_info")
@ApiModel(value = "QuestionInfo", description = "题库对象 question_info")
public class QuestionInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId("id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 类型 */
    @Excel(name = "类型")
    @TableField("type")
    @ApiModelProperty(value = "类型")
    private Long type;

    /** 未知字段 */
    @Excel(name = "未知字段")
    @TableField("int_number")
    @ApiModelProperty(value = "未知字段")
    private String intNumber;

    /** 未知字段 */
    @Excel(name = "未知字段")
    @TableField("str_tppe")
    @ApiModelProperty(value = "未知字段")
    private String strTppe;

    /** 未知字段 */
    @Excel(name = "未知字段")
    @TableField("str_type_l")
    @ApiModelProperty(value = "未知字段")
    private String strTypeL;

    /** 许可车型 */
    @Excel(name = "许可车型")
    @TableField("license_type")
    @ApiModelProperty(value = "许可车型")
    private String licenseType;

    /** 问题 */
    @Excel(name = "问题")
    @TableField("question")
    @ApiModelProperty(value = "问题")
    private String question;

    /** 答案1 */
    @Excel(name = "答案1")
    @TableField("an1")
    @ApiModelProperty(value = "答案1")
    private String an1;

    /** 答案2 */
    @Excel(name = "答案2")
    @TableField("an2")
    @ApiModelProperty(value = "答案2")
    private String an2;

    /** 答案3 */
    @Excel(name = "答案3")
    @TableField("an3")
    @ApiModelProperty(value = "答案3")
    private String an3;

    /** 答案4 */
    @Excel(name = "答案4")
    @TableField("an4")
    @ApiModelProperty(value = "答案4")
    private String an4;

    /** 答案5 */
    @Excel(name = "答案5")
    @TableField("an5")
    @ApiModelProperty(value = "答案5")
    private String an5;

    /** 答案6 */
    @Excel(name = "答案6")
    @TableField("an6")
    @ApiModelProperty(value = "答案6")
    private String an6;

    /** 答案7 */
    @Excel(name = "答案7")
    @TableField("an7")
    @ApiModelProperty(value = "答案7")
    private String an7;

    /** 正确答案 */
    @Excel(name = "正确答案")
    @TableField("answer_true")
    @ApiModelProperty(value = "正确答案")
    private String answerTrue;

    /** 解释 */
    @Excel(name = "解释")
    @TableField("explain1")
    @ApiModelProperty(value = "解释")
    private String explain1;

    /** 最佳答案 */
    @Excel(name = "最佳答案")
    @TableField("best_answer_id")
    @ApiModelProperty(value = "最佳答案")
    private String bestAnswerId;

    /** 科目 */
    @Excel(name = "科目")
    @TableField("kemu")
    @ApiModelProperty(value = "科目")
    private Long kemu;

    /** 解释_from */
    @Excel(name = "解释_from")
    @TableField("jieshi_from")
    @ApiModelProperty(value = "解释_from")
    private String jieshiFrom;

    /** 更多类型 */
    @Excel(name = "更多类型")
    @TableField("moretypes")
    @ApiModelProperty(value = "更多类型")
    private String moretypes;

    /** chapterid */
    @Excel(name = "chapterid")
    @TableField("chapterid")
    @ApiModelProperty(value = "chapterid")
    private Long chapterid;

    /** 图片文件名 */
    @Excel(name = "图片文件名")
    @TableField("sinaimg")
    @ApiModelProperty(value = "图片文件名")
    private String sinaimg;

    /** 视频文件名 */
    @Excel(name = "视频文件名")
    @TableField("video_url")
    @ApiModelProperty(value = "视频文件名")
    private String videoUrl;

    /** 未知 */
    @Excel(name = "未知")
    @TableField("diff_degree")
    @ApiModelProperty(value = "未知")
    private Long diffDegree;

    /** 城市 */
    @Excel(name = "城市")
    @TableField("cityid")
    @ApiModelProperty(value = "城市")
    private Long cityid;

    /** gs */
    @Excel(name = "gs")
    @TableField("gs")
    @ApiModelProperty(value = "gs")
    private String gs;

    /** 关键字 */
    @Excel(name = "关键字")
    @TableField("keyword")
    @ApiModelProperty(value = "关键字")
    private String keyword;

    /** 错误率 */
    @Excel(name = "错误率")
    @TableField("error_rate")
    @ApiModelProperty(value = "错误率")
    private Long errorRate;

    /** 文件地址 */
    @Excel(name = "文件地址")
    @TableField("media_url")
    @ApiModelProperty(value = "文件地址")
    private String mediaUrl;

    /** 是否显示 */
    @Excel(name = "是否显示")
    @TableField("show_option_type")
    @ApiModelProperty(value = "是否显示")
    private Long showOptionType;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setType(Long type){
        this.type = type;
    }

    public Long getType(){
        return type;
    }
    public void setIntNumber(String intNumber){
        this.intNumber = intNumber;
    }

    public String getIntNumber(){
        return intNumber;
    }
    public void setStrTppe(String strTppe){
        this.strTppe = strTppe;
    }

    public String getStrTppe(){
        return strTppe;
    }
    public void setStrTypeL(String strTypeL){
        this.strTypeL = strTypeL;
    }

    public String getStrTypeL(){
        return strTypeL;
    }
    public void setLicenseType(String licenseType){
        this.licenseType = licenseType;
    }

    public String getLicenseType(){
        return licenseType;
    }
    public void setQuestion(String question){
        this.question = question;
    }

    public String getQuestion(){
        return question;
    }
    public void setAn1(String an1){
        this.an1 = an1;
    }

    public String getAn1(){
        return an1;
    }
    public void setAn2(String an2){
        this.an2 = an2;
    }

    public String getAn2(){
        return an2;
    }
    public void setAn3(String an3){
        this.an3 = an3;
    }

    public String getAn3(){
        return an3;
    }
    public void setAn4(String an4){
        this.an4 = an4;
    }

    public String getAn4(){
        return an4;
    }
    public void setAn5(String an5){
        this.an5 = an5;
    }

    public String getAn5(){
        return an5;
    }
    public void setAn6(String an6){
        this.an6 = an6;
    }

    public String getAn6(){
        return an6;
    }
    public void setAn7(String an7){
        this.an7 = an7;
    }

    public String getAn7(){
        return an7;
    }
    public void setAnswerTrue(String answerTrue){
        this.answerTrue = answerTrue;
    }

    public String getAnswerTrue(){
        return answerTrue;
    }
    public void setExplain1(String explain1){
        this.explain1 = explain1;
    }

    public String getExplain1(){
        return explain1;
    }
    public void setBestAnswerId(String bestAnswerId){
        this.bestAnswerId = bestAnswerId;
    }

    public String getBestAnswerId(){
        return bestAnswerId;
    }
    public void setKemu(Long kemu){
        this.kemu = kemu;
    }

    public Long getKemu(){
        return kemu;
    }
    public void setJieshiFrom(String jieshiFrom){
        this.jieshiFrom = jieshiFrom;
    }

    public String getJieshiFrom(){
        return jieshiFrom;
    }
    public void setMoretypes(String moretypes){
        this.moretypes = moretypes;
    }

    public String getMoretypes(){
        return moretypes;
    }
    public void setChapterid(Long chapterid){
        this.chapterid = chapterid;
    }

    public Long getChapterid(){
        return chapterid;
    }
    public void setSinaimg(String sinaimg){
        this.sinaimg = sinaimg;
    }

    public String getSinaimg(){
        return sinaimg;
    }
    public void setVideoUrl(String videoUrl){
        this.videoUrl = videoUrl;
    }

    public String getVideoUrl(){
        return videoUrl;
    }
    public void setDiffDegree(Long diffDegree){
        this.diffDegree = diffDegree;
    }

    public Long getDiffDegree(){
        return diffDegree;
    }
    public void setCityid(Long cityid){
        this.cityid = cityid;
    }

    public Long getCityid(){
        return cityid;
    }
    public void setGs(String gs){
        this.gs = gs;
    }

    public String getGs(){
        return gs;
    }
    public void setKeyword(String keyword){
        this.keyword = keyword;
    }

    public String getKeyword(){
        return keyword;
    }
    public void setErrorRate(Long errorRate){
        this.errorRate = errorRate;
    }

    public Long getErrorRate(){
        return errorRate;
    }
    public void setMediaUrl(String mediaUrl){
        this.mediaUrl = mediaUrl;
    }

    public String getMediaUrl(){
        return mediaUrl;
    }
    public void setShowOptionType(Long showOptionType){
        this.showOptionType = showOptionType;
    }

    public Long getShowOptionType(){
        return showOptionType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("intNumber", getIntNumber())
            .append("strTppe", getStrTppe())
            .append("strTypeL", getStrTypeL())
            .append("licenseType", getLicenseType())
            .append("question", getQuestion())
            .append("an1", getAn1())
            .append("an2", getAn2())
            .append("an3", getAn3())
            .append("an4", getAn4())
            .append("an5", getAn5())
            .append("an6", getAn6())
            .append("an7", getAn7())
            .append("answerTrue", getAnswerTrue())
            .append("explain1", getExplain1())
            .append("bestAnswerId", getBestAnswerId())
            .append("kemu", getKemu())
            .append("jieshiFrom", getJieshiFrom())
            .append("moretypes", getMoretypes())
            .append("chapterid", getChapterid())
            .append("sinaimg", getSinaimg())
            .append("videoUrl", getVideoUrl())
            .append("diffDegree", getDiffDegree())
            .append("cityid", getCityid())
            .append("gs", getGs())
            .append("keyword", getKeyword())
            .append("errorRate", getErrorRate())
            .append("mediaUrl", getMediaUrl())
            .append("showOptionType", getShowOptionType())
            .toString();
    }
}
